"""Manages the CLI component of the tool."""

import argparse


def parse_inputs() -> argparse.Namespace:
    """Parse inputs from argparse.

    :returns the argparse Namespace to be evaluated
    """
    parser = argparse.ArgumentParser()
    parser.add_argument("flake_path", metavar="flake-path", help="path to flake to evaluate")
    parser.add_argument("--keep-hydra", action="store_true", help="retain Hydra jobs")
    parser.add_argument("--build", action="store_true", help="allow building Hydra jobs")
    parser.add_argument("--evaluate", action="store_true", help="allow evaluating Hydra jobs")
    return parser.parse_args()
